commit: e8430d789155bf62aff7a2e871f8541b0261fd37
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 1 02:18:53 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jul 1 02:26:06 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e8430d78
dev-python/notebook: Bump to 7.4.4
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/notebook/Manifest | 1 +
dev-python/notebook/notebook-7.4.4.ebuild | 63 +++++++++++++++++++++++++++++++
2 files changed, 64 insertions(+)
diff --git a/dev-python/notebook/Manifest b/dev-python/notebook/Manifest
index 10836440c8be..25fca509018a 100644
--- a/dev-python/notebook/Manifest
+++ b/dev-python/notebook/Manifest
@@ -1,2 +1,3 @@
DIST notebook-7.3.3.tar.gz 12758099 BLAKE2B
e5e988a166b5124f95cc050a4d9402778108c084325024c8ed3829780665d7149a06cccd4ab80d33e572b0b98d9088751d2a9313f10a940e8d82b5eb14db25f3
SHA512
e0f476c5a91edba48dc43b25417946983c46d5b4beaac6531ebf7af02bc4a9f2bae09b7d7524d7ad6e33c262769c1dc40c36f4593cfc70b8c98f41f40a75f8a2
DIST notebook-7.4.3.tar.gz 13881668 BLAKE2B
4d2a3645986ccc90d08d0437e52b32657bb850b860dadc35439343612a518b0e17fed7e12721684dea439c4a21eb27bc2a24a6c6ea9fc53b8301ee561faccc2a
SHA512
444b91793705ca97053da8d1feb8d7ecf343d44f09e872c37e1a165cfa849c068a4f76b47a4bd2056b41d7f29616f564038460caa40228be31d0f9a0081be4f7
+DIST notebook-7.4.4.tar.gz 13883628 BLAKE2B
a5673563176a14c4272b60662be6ca7c909bf18645a2e19c45cc6f5816da4f0b262365f8370219f6fc92456ed4ec01299b88d705b08630eee741955c3c274cc8
SHA512
56a58c0126c52f311dca0118abe8c40624bf0a19fa3c7c0ef210b506a69cf1fb6711b0f752766902e3eb0cb840d273307e0930a0b48047826facb806294a5aeb
diff --git a/dev-python/notebook/notebook-7.4.4.ebuild
b/dev-python/notebook/notebook-7.4.4.ebuild
new file mode 100644
index 000000000000..4084a2ffe787
--- /dev/null
+++ b/dev-python/notebook/notebook-7.4.4.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3_11 python3_{11..13} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi xdg-utils
+
+DESCRIPTION="Jupyter Interactive Notebook"
+HOMEPAGE="
+ https://jupyter.org/
+ https://github.com/jupyter/notebook/
+ https://pypi.org/project/notebook/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/jupyter-server-2.4.0[${PYTHON_USEDEP}]
+ <dev-python/jupyter-server-3[${PYTHON_USEDEP}]
+ >=dev-python/jupyterlab-4.4.4[${PYTHON_USEDEP}]
+ <dev-python/jupyterlab-4.5[${PYTHON_USEDEP}]
+ >=dev-python/jupyterlab-server-2.27.1[${PYTHON_USEDEP}]
+ <dev-python/jupyterlab-server-3[${PYTHON_USEDEP}]
+ >=dev-python/notebook-shim-0.2[${PYTHON_USEDEP}]
+ <dev-python/notebook-shim-0.3[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.2.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ dev-python/hatch-jupyter-builder[${PYTHON_USEDEP}]
+ >=dev-python/jupyterlab-4.4[${PYTHON_USEDEP}]
+ <dev-python/jupyterlab-4.5[${PYTHON_USEDEP}]
+ test? (
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/nbval[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/requests-unixsocket[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-{console-scripts,jupyter,timeout,tornasync} )
+distutils_enable_tests pytest
+
+python_install_all() {
+ distutils-r1_python_install_all
+ mv "${ED}/usr/etc" "${ED}/etc" || die
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}